@import "variables";
@import "~@coreui/coreui/scss/coreui";
@import "~simple-line-icons/scss/simple-line-icons";
@import "~font-awesome/scss/font-awesome";

body {
    background-color: #fff;
}

.profileMenu {
    font-size: 14px;
}

.controls {
    margin-bottom: 15px;
}

.controls a {
    margin: 0 15px 15px 0;
}

.col-md-2 {
    margin-bottom: 10px;
}

.delImage {
    width: 124px;
    height: 140px;
    display: inline-block;
    margin-left: 25px;
    text-align: center;
}

.top-head {
    background-color: #2d2d2d;
    width: 100%;
    padding: 0 5px 0 5px;
}

.top-head2 {
    background-color: #525050;
    width: 100%;
    color: #fff;
}

.category {
    width: 180px;
    height: 276px;
    display: inline-block;
    margin: 200px 10px 100px 10px;
    transition: 0.5s;
}

.category:hover {
    transform: scale(1.05);
}

.categoryImage {
    height: 230px;
}


.categoryLabel {
    height: 46px;
    text-align: center;
    line-height: 46px;
    background-color: #fff;
    color: #000;
    font-size: 13px;
    font-weight: bold;
    text-transform: uppercase;
}

.backCategory {
    background-image: url("../img/backCategory.jpg");
    background-repeat: no-repeat;
    background-size: cover;
}

.backCategoryMen {
    background-image: url("../img/backCategoryMen.jpg");
    background-repeat: no-repeat;
    background-size: cover;
}

.list2 {
    width: 100%;
    text-align: center;
    margin-bottom: 0;
}

li {
    list-style-type: none;
}

.mybreadcrumb {
    width: 100%;
    background-color: #fff;
    font-size: 12px;
    height: 50px;
    line-height: 50px;
    border-bottom: 2px solid #ddd;
}

.mybreadcrumb li {
    margin-right: 5px;
}

.mybreadcrumb a {
    color: #000;
}

.grey {
    color: #999;
}

#categoryBanner {
    width: 100%;
    min-height: 60px;
    border-bottom: 1px solid #ddd;
    text-align: center;
}

#categoryBanner h1 {
    background-color: #f8f8f8;
    font-size: 26px;
    line-height: 60px;
    text-indent: -140px;
    font-weight: bold;
    border-bottom: 1px solid #ddd;
}

#categoryBanner p {
    background-color: #fff;
    width: 100%;
    min-height: 20px;
    vertical-align: center;
    margin-left: -30px;
}

#filter {
    background-color: #f8f8f8;
    padding: 7px 0 7px 0;
}

.productBox {
    width: 227px;
    height: 400px;
    display: inline-block;
    margin: 25px 0 100px 35px;

}

.productBox a {
    text-decoration: none;
}

.productBoxImage {
    width: 230px;
    height: 280px;
}

.view1 {
    border: 1px solid #ddd;
    min-height: 120px;
    transition: 0.4s;
}

.m_1 {
    min-height: 32px;
}

.sub-icon1 {
    z-index: 999999;
}

.subcategoryButton {
    font-size: 12px;
    font-weight: 900;
    letter-spacing: 1.7px;
    color: #2d2d2d;
    line-height: 12px;
    display: inline-block;
    box-sizing: border-box;
    height: 30px;
    border-radius: 15px;
    padding: 9px 15px;
    border: 0;
    text-transform: uppercase;
    background-color: #eee;
    margin: 8px 0 0 5px;
}

.subcategoryButton:hover {
    text-decoration: none;
    background-color: #999;
    color: #2d2d2d;
}

.navigation .nav, .top-head .nav {
    font-size: 20px;
    font-weight: 900;
    letter-spacing: 2px;
    line-height: 50px;
}

.nav a {
    color: #fff;
    width: 100%;
    text-decoration: none;
    height: 100%;
    display: inline-block;
    padding: 0 15px 0 15px;
}

.nav li {
    display: inline-block;
}

.dropdownLi {
    position: relative;
}

.dropdownUl {
    opacity: 0;
    position: absolute;
    background-color: #535151;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    transition: opacity 0.5s;
    margin-top: -1000px;
}

.dropdownUl li {
    border-bottom: 1px solid #fff;
    width: 100%;
}

.dropdownUl li:last-child {
    border-bottom: none;
}

.dropdownUl li:hover {
    border-bottom: 1px solid #fff;
    width: 100%;
    background-color: #fff;
    & a {
        color: #2d2d2d;
    }
}

.dropdownLi:hover .dropdownUl {
    opacity: 1;
    margin-top: 0;
}

.navigation .nav li {
    border-left: 0.5px solid #535151;
    min-width: 115px;
    text-align: center;
}

.navigation .nav li:last-child {
    border-right: 0.5px solid #535151;
}

.navigation .nav li:hover {
    background-color: #535151;
}

.active-icon {
    width: 100%;
    color: #fff;
    display: block;
}

.active-icon:hover {
    color: #fff;
}

.icon1 {
    width: 100%;
}

.remove_from_cart, .add_to_cart {
    width: 100%;
    height: 100%;
    background-color: #000;
    color: #fff;
    border: none;
    text-transform: uppercase;
    letter-spacing: 1.7px;
    font-weight: 900;
}

#tableCart .remove_from_cart, #tableCart .add_to_cart{
    width: 20px;
    height: 20px;
    background-color: #FF3D4C;
    border-radius: 3px;
}

#Cart {
    font-size: 14px;
}

.cartMessage {
    color: #fff;
}

.grand-total {
    font-size: 18px;
    font-weight: 700;
    float: right;
    display: inline-block;
    margin-right: 150px;
}

.product-gallery {
    width: 640px;
    height: 654px;
    display: inline-block;
    float: left;
    margin-top: 30px;
}

.product-zoom {
    width: 120px;
    height: 654px;
    display: inline-block;
}

.product-image {
    width: 512px;
    height: 654px;
    margin: 0;
    display: inline-block;
}

.product-aside {
    width: 320px;
    height: 654px;
    display: inline-block;
    margin-left: 50px;
    margin-top: 30px;
}

.product-aside h3 {
    font-family: "futura-pt-n4", "futura-pt", Tahoma, Geneva, Verdana, Arial, sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    line-height: 1.1;
    letter-spacing: 2.8px;
    line-height: 1.3;
    letter-spacing: 1.3px;
    max-width: 90%;
    padding-bottom: 12px;
}

.product-aside h4 {
    font-size: 20px;
    line-height: 1.1;
    letter-spacing: 2.8px;
    font-family: "futura-pt-n7", "futura-pt", Tahoma, Geneva, Verdana, Arial, sans-serif;
    font-style: normal;
    font-weight: 700;
    color: #555;
    padding-right: 5px;
}

.product-aside h5 {
    color: #2D2D2D;
    font-size: 12px;
    line-height: 1.7;
    letter-spacing: 1.7px;
    text-transform: uppercase;
    padding-right: 6px;
}

.product-details {
    width: 100%;
    margin-top: 30px;
    margin-bottom: 50px;
}

.checkout {
    float: right;
    display: inline-block;
    margin: 0 15px 0 15px;
}

.action-checkout {
    width: 100%;
    margin: 0 0 150px 0;
}

.box h4 {
    padding: 10px;
}

.show-place-order {
    width: 600px;
    background: #EBEEEF;
    position: absolute;
    padding: 15px 10px;
    margin-left: 100%;
    display: none;
    transition: 1s ease all;
}

.show-display {
    display: block;
}

.sticky-chat {
    position: fixed;
    bottom: -465px;
    width: 500px;
    right: 0;
    height: 500px;
    border-radius: 15px 15px 0 0;
    box-shadow: 0 0 10px rgba(0,0,0,0.5);
    margin-right: 100px;
    background: #fff;
    transition: 1s ease all;
    & .chat {
        width: 340px;
        float: right;
        height: 100%;
        padding: 10px 0;
        & .messages {
            overflow-y: scroll;
            padding: 10px 15px;
            width: 100%;
            height: 372px;
            margin-bottom: 2px;
            & .message {
                width: 100%;
                height: auto;
                overflow: auto;
                margin-bottom: 5px;
                & .message-from-me, & .message-to-me {
                    max-width: 320px;
                    background-color: #f1f1f1;
                    min-height: 40px;
                    padding: 3px 30px 3px 20px;
                    & p {
                        padding: 0;
                        margin: 0;
                        color: #2D2D2D;
                        font-size: 8px;
                        font-weight: 900;
                    }
                }

                & .message-from-me {
                    float: right;
                    border-right: 1px solid red;
                    border-radius: 5px 40px 40px 5px;
                    & p {
                        text-align: right;
                    }
                }

                & .message-to-me {
                    float: left;
                    border-left: 1px solid green;
                    border-radius: 40px 5px 5px 40px;
                    & p {
                        text-align: left;
                    }
                }
            }
        }
    }
    & .name-users{
        width: 158px;
        height: 100%;
        border-right: 1px solid black;
        float: left;
        padding: 10px 0;
        & p {
            max-height: 30px;
            padding: 0 15px;
            border-bottom: 2px solid #F8F8F9;
            margin: 0;
            line-height: 30px;
        }
        & .active {
            background-color: #f1f1f1;
        }
    }
    & .top {
        height: 25px;
        width: 100%;
        text-align: center;
        border-bottom: 1px solid #535151;
        cursor: pointer;
        display: inline-block;
        & .open-chat {
            display: inline-block;
            width: 280px;
        }
        & .close-chat {
            background: red;
            border-radius: 0 14px 0 0;
            width: 35px;
            height: 35px;
            margin-top: -10px;
            line-height: 35px;
            color: #fff;
            float: right;
            font-size: 18px;
            display: none;
        }
    }
}

.chat-user{
    width: 340px;
}

#text-message {
    width: 290px;
    height: 100%;
    color: #000;
    border: 1.5px solid #8E8F90;
    border-radius: 10px;
    resize: none;
    display: inline-block;
}

#text-message:hover {
    border: 1.5px solid #00A63F;
}

#send-message-to-admin, #send-message-from-admin {
    display: inline-block;
    width: 30px;
    padding: 0;
    position: relative;
    margin: 0;
    top: -40px;
    background: none;
    border: none;
    outline: none;
}

#send-message-to-admin:active, #send-message-from-admin:active {
    transform: scale(0.9);
}
